#pragma once

#include "../../component/action/component_shoot.h"
#include "../../component/component_game_object.h"
#include "../../component/control/component_control_aim.h"
#include "../../component/control/component_control_move.h"
#include "../../component/control/component_control_shoot.h"
#include "../../component/stat/component_ammo.h"
#include "../../component/stat/component_health.h"
#include "../../component/stat/component_lifetime.h"
#include "../../ecs_component.h"

#include "entity_snake.h"

#define PLAYER_SPEED 0.85
#define PLAYER_FRICTION 0.9
#define PLAYER_VELOCITY_MAX 6
#define PLAYER_SHOOT_SPEED 5
#define PLAYER_SHOOT_OFFSET 32
#define PLAYER_CONTROL_SHOOT_DELAY 15
#define PLAYER_AMMO_MAX 1
#define PLAYER_HEALTH_MAX 3
static const vec2 PLAYER_SIZE = {50.0f, 100.0f};

void entity_player_init(ECS* ecs, u32 id, vec3 position);
