#pragma once

#include "../../ecs_component.h"
#include "../../component/component_game_object.h"
#include "../../component/action/component_return.h"

#define SNAKE_SPEED 1
#define SNAKE_FRICTION 1
#define SNAKE_VELOCITY_MAX 50
#define SNAKE_RETURN_SPEED 1
#define SNAKE_RETURN_VELOCITY_MAX 100
#define SNAKE_RETURN_LIFETIME 20
static const vec2 SNAKE_SIZE = {25.0f, 25.0f};

void entity_snake_init(ECS* ecs, u32 id, vec3 position, u32 sender);
